# Get App Version List - GetUESAppVersion

## Overview

Get App Version List






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `GetUESAppVersion`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.an-link.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](/docs/api/summary/regionlist) |**Yes**|
| **Zone** | string | Availability Zone. See [Availability Zone List](/docs/api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **TotalCount** | int | Total |**Yes**|
| **AppVersionList** | array[[*AppVersion*](#appversion)] | AppVersionList |**Yes**|

#### Data Model


#### AppVersion

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **AppName** | string | Application name, the default value is elasticsearch |**Yes**|
| **AppVersion** | string | Application Version Number |**Yes**|
| **IsMultiZone** | boolean | Supports multi-zone deployment; default is false. |**Yes**|

## Example

### Request Example
    
```
https://api.an-link.com/?Action=GetUESAppVersion
&Region=cn-zj
&Zone=cn-zj-01
&ProjectId=bZmZmfNv
```

### Response Example
    
```json
{
  "Action": "GetUESAppVersionResponse",
  "AppVersionList": [
    {
      "AppName": "clyhmaOp",
      "AppVersion": "zmpAMxdc",
      "IsMultiZone": false
    }
  ],
  "Message": "EHLImGBb",
  "RetCode": 0,
  "TotalCount": 7
}
```





